(Clines
%
%/*****************************************************************************/
%/*                                                                           */
%/* subroutine: dscdbg_start( )                                               */
%/*                                                                           */
%/* inputs:   none                                                            */
%/*                                                                           */
%/* ext vars: passinit - password set flag                                    */
%/*           portinit - port set flag                                        */
%/*           sock     - datagram socket                                      */
%/*                                                                           */
%/*                                                                           */
%/* outputs:  none                                                            */
%/*                                                                           */
%/* return:   index to new subproblem in DSC Server database                  */
%/*                                                                           */
%/* purpose:  build message to create new subproblem                          */
%/*           send the message to the DSC RP                                  */
%/*                                                                           */
%/*****************************************************************************/
%
%#include "dsc_lisppr.c"
%
%int dscdbg_start_sub(  )
%{
%   DSCSTRT msg;          /* start subproblem message                         */
%   DSCBEG *msg2;         /* incomming startup message                        */
%   int     rlen;         /* legnth of message                                */
%   int     rstat;        /* status of dscdbg call                            */
%   int on;
%   char *dsc_getpass();  /* get password from dsc_setup.csh file             */
%   char *dscpr_getnum(); /* get port numeber from dsc_setup.csh file         */
%
%
%#ifdef DPRDBGDEBUG
%fprintf(stderr,"dscpr    : dscdbg_start      : void\n");
%#endif
%
%   if ( portinit == FALSE )
%   {
%    /*                                                                    */
%    /* get the datagram communication port number from the dsc setup file */
%    /*                                                                    */
%#ifdef DPRDBGDEBUG
%fprintf(stderr,"dscpr    : dscdbg_start      : getting port number\n");
%#endif
%    cportnm = dscpr_getnum();
%    if (strcmp(cportnm,"NOT_FOUND") == 0) {
%       fprintf(stderr,"dscpr    : dscdbg_start      : port number not found\n");
%       fprintf(stderr,"dscpr    : dscdbg_start      : forced problem halt!\n");
%       rstat = dscpr_end();
%       exit(rstat);
%    }
%   /*                            */
%   /* convert it to decimal form */
%   /*                            */
%   portnm = atoi(cportnm);
%   }
%
%   /*                              */
%   /* set up communication sockets */
%   /*                              */
%   dscpr_netinit();
%
%   if ( passinit == FALSE )
%   {
%#ifdef DPRDBGDEBUG
%fprintf(stderr,"dscpr    : dscdbg_start      : getting password\n");
%#endif
%    password = dsc_getpass();
%   }
%
%
%   msg.msg_type = htonl(MSG_START);
%   strcpy(msg.dsc_password , password );
%   msg.sanity = htonl(mypid);
%   msg.msg_size = htonl(sizeof( DSCSTRT ));
%   memcpy( &msg.addr, &paddr, sizeof(paddr));
%   msg.parent_PID = htonl(-1);
%   msg.fnode = htonl(myhost);
%   msg.subflg = htonl(1);
%   sprintf( msg.prob_name, "DSC%4.4x_%d", mypid&0xffff, ++subcnt);
%   msg.ctyp = 1;
%   msg.cpu_type = htonl(DSC_CPU);
%   msg.cpurating = htonl(-1);
%   msg.memrating = htonl(-1);
%
%   strcpy( msg.src_name, "dsc_prob_debug" );
%   strcpy( msg.src_build, "");
%   strcpy( msg.src_exec, "");
%
%  /*                              */
%  /* send message to server DSCRP */
%  /*                              */
%   do {
%      errno = 0;
%      rlen = sendto( sockdg, (char *)&msg, sizeof(DSCSTRT),
%                 0, &saddr, sizeof(saddr));
%      if (errno == ENOBUFS) sleep(2);
%   } while( (errno==EINTR) || (errno==ENOBUFS));
%   if (errno != 0) {
%fprintf( stderr ,"dscpr    : dscdbg_start     : error sending DSCSTRT\n");
%fprintf( stderr ,"dscpr    : dscdbg_start     : forced problem halt!\n");
%      perror("sending start msg to DSC server");
%      exit(errno);
%   }
%
%   do {
%     errno = 0;
%     sock = accept( sockl, 0, 0);
%   } while (errno == EINTR);
%   on = 1;
%   setsockopt( sock, SOL_SOCKET, SO_REUSEADDR, &on, sizeof(on));
%
%  /*           */
%  /* get index */
%  /*           */
%   msg2 = (DSCBEG *)&msg;
%   do {
%      errno = 0;
%      rlen = dsc_read( sock, msg2, sizeof(DSCBEG));
%   } while (errno == EINTR );
%   if (rlen != ntohl(msg2->msg_size)) {
%     perror("reading problem index");
%    fprintf( stderr ,"dscpr    : dscdbg_start     : mismatch read DSCBEG\n");
%    fprintf( stderr ,"dscpr    : dscdbg_star      : rlen = %d, msgsize = %d\n",
%             rlen, ntohl(msg2->msg_size));
%     fflush( stdout );
%     fflush( stderr );
%   }
%
%   close( sock );
%
%#ifdef DPRDBGDEBUG
%fprintf(stderr,"dscpr    : dscdbg_start      : returning (%d)\n",
%                ntohl(msg2->index));
%#endif
%
%   return( ntohl(msg2->index) );
%}
%
)

(defentry dscdbg_start_sub (int) (int dscdbg_start_sub))
