(Clines
%#include "dsc_lisppr.c"
%/*****************************************************************************/
%/*                                                                           */
%/* subroutine: dscpr_kill( index )                                           */
%/*                                                                           */
%/* inputs: index - index of subproblem to kill                               */
%/*                                                                           */
%/* ext vars: passinit - password set flag                                    */
%/*           portinit - port set flag                                        */
%/*                                                                           */
%/*                                                                           */
%/* outputs:  none                                                            */
%/*                                                                           */
%/* return:   status                                                          */
%/*                                                                           */
%/* purpose:  send a message to DSC RP requesting a specified subproblem      */
%/*           be terminated.                                                  */
%/*                                                                           */
%/*****************************************************************************/
%
%int dscpr_kill_sub( index1, index2 )
%long index1;
%long index2;
%{
%
%   DSCKILL msg;          /* DSC RP kill message                              */
%   char *dsc_getpass();  /* get password from dsc_setup.csh file             */
%   char *dscpr_getnum(); /* get port numeber from dsc_setup.csh file         */
%   int rstat;            /* status of kill                                   */
%   long index;           /* index of subproblem to kill                      */
%
% index =  index1*125 + index2;
% 
%#ifdef DPRKILLDEBUG
%fprintf( stderr ,"dscpr    : dscpr_kill       : index1 %ld index2 %ld\n",
%                index1,index2);
%fprintf( stderr ,"dscpr    : dscpr_kill       : index %ld\n",index);
%#endif
%
%   if ( portinit == FALSE )
%   {
%    /*                                                                    */
%    /* get the datagram communication port number from the dsc setup file */
%    /*                                                                    */
%    cportnm = dscpr_getnum();
%    if (strcmp(cportnm,"NOT_FOUND") == 0) {
%       fprintf(stderr,"dscpr    : dscpr_kill       : port number not found\n");
%       fprintf(stderr,"dscpr    : dscpr_kill       : forced problem halt!\n");
%       rstat = dscpr_end();
%       exit(rstat);
%    }
%   /*                            */
%   /* convert it to decimal form */
%   /*                            */
%   portnm = atoi(cportnm);
%   }
%
%   /*                              */
%   /* set up communication sockets */
%   /*                              */
%   dscpr_netinit();
%
%   if ( passinit == FALSE )
%   {
%    password = dsc_getpass();
%   }
%
%   msg.msg_type = msg.sanity = htonl(MSG_KILL);
%   strcpy(msg.dsc_password , password );
%   msg.msg_size = htonl(sizeof( DSCKILL ));
%   msg.from_PID = htonl(mypid);
%   msg.index = htonl(index);
%
%  /*                              */
%  /* send message to server DSCRP */
%  /*                              */
%   do {
%
%      errno =0;
%
%      sendto( sockdg, (char *)&msg, sizeof(DSCKILL),
%                 0, &saddr, sizeof(saddr));
%      if (errno == ENOBUFS) sleep(2);
%   } while( (errno==EINTR) || (errno==ENOBUFS));
%   if (errno != 0) {
%fprintf( stderr ,"dscpr    : dscpr_kill       : error sending DSCKILL\n");
%fprintf( stderr ,"dscpr    : dscpr_kill       : forced problem halt!\n");
%      perror("sending start msg to DSC server");
%      exit(errno);
%   }
%
%#ifdef DPRKILLDEBUG
%fprintf( stderr ,"dscpr    : dscpr_kill       : returning errno %d\n",
%        errno);
%#endif
%
%   return( errno );
%}
%
)

(defentry dscpr_kill_sub (int int) (int dscpr_kill_sub) )

