(Clines
%#include "dsc_lisppr.c"
%/*****************************************************************************/
%/*                                                                           */
%/* subroutine: dscpr_sub()                                                   */
%/*                                                                           */
%/* inputs:    fid   - file id of problem file                                */
%/*            types - types of input files (c,l,o,i,p)                       */
%/*            build - build command                                          */
%/*            exec  - execute command                                        */
%/*            cpu   - estimated cpu usage (LOW_CPU,MED_CPU,HIGH_CPU)         */
%/*            mem   - estimated mem usage in megs                            */
%/*                                                                           */
%/* ext vars: portnm  - datagram socket port number                           */
%/*           cportnm - character string socket port number                   */
%/*           netinit - to flag network already initialized                   */
%/*           sock    - datagram socket                                       */
%/*                                                                           */
%/* outputs:  none                                                            */
%/*                                                                           */
%/* return:   index to new subproblem in DSC Server database                  */
%/*                                                                           */
%/* purpose:  build message to create new subproblem                          */
%/*           send the message to the DSC RP                                  */
%/*                                                                           */
%/*                                                                           */
%/*****************************************************************************/
%
% dscpr_sub_sub( f1,f2,f3,f4,f5,f6,f7,f8,f9,f10,f11,f12,
%                f13,f14,f15,f16,f17,f18,f19,f20,f21,f22,f23,f24,
%                f25,f26,f27,f28,f29,f30,f31,f32,f33,f34,f35,f36,
%                f37,f38,f39,f40,f41,f42,f43,f44,f45,f46,f47,f48,
%                flen,
%                t1,t2,t3,
%                tlen,
%                b1,b2,b3,b4,b5,b6,b7,b8,b9,b10,b11,b12,
%                b13,b14,b15,b16,b17,b18,b19,b20,b21,b22,b23,b24,
%                b25,b26,b27,b28,b29,b30,b31,b32,b33,b34,b35,b36,
%                b37,b38,b39,b40,b41,b42,b43,b44,b45,b46,b47,b48,
%                blen,
%                e1,e2,e3,e4,e5,e6,e7,e8,e9,e10,e11,e12,
%                e13,e14,e15,e16,e17,e18,e19,e20,e21,e22,e23,e24,
%                e25,e26,e27,e28,e29,e30,e31,e32,e33,e34,e35,e36,
%                e37,e38,e39,e40,e41,e42,e43,e44,e45,e46,e47,e48,
%                elen,
%                cpu,mem)
% int f1,f2,f3,f4,f5,f6,f7,f8,f9,f10,f11,f12;
% int f13,f14,f15,f16,f17,f18,f19,f20,f21,f22,f23,f24;
% int f25,f26,f27,f28,f29,f30,f31,f32,f33,f34,f35,f36;
% int f37,f38,f39,f40,f41,f42,f43,f44,f45,f46,f47,f48;
% int flen;
% int t1,t2,t3;
% int tlen;
% int b1,b2,b3,b4,b5,b6,b7,b8,b9,b10,b11,b12;
% int b13,b14,b15,b16,b17,b18,b19,b20,b21,b22,b23,b24;
% int b25,b26,b27,b28,b29,b30,b31,b32,b33,b34,b35,b36;
% int b37,b38,b39,b40,b41,b42,b43,b44,b45,b46,b47,b48;
% int blen;
% int e1,e2,e3,e4,e5,e6,e7,e8,e9,e10,e11,e12;
% int e13,e14,e15,e16,e17,e18,e19,e20,e21,e22,e23,e24;
% int e25,e26,e27,e28,e29,e30,e31,e32,e33,e34,e35,e36;
% int e37,e38,e39,e40,e41,e42,e43,e44,e45,e46,e47,e48;
% int elen;
% int cpu,mem;
%{
% char fid[160];
% char types[160];
% char build[160];
% char exec[160];
% char pname[DSC_NAMEZ+1];
% int rstat;
%
% fid[0]=f1; fid[1]=f2; fid[2]=f3; fid[3]=f4; fid[4]=f5; fid[5]=f6;
% fid[6]=f7; fid[7]=f8; fid[8]=f9; fid[9]=f10; fid[10]=f11; fid[11]=f12;
% fid[12]=f13; fid[13]=f14; fid[14]=f15; fid[15]=f16; fid[16]=f17; fid[17]=f18;
% fid[18]=f19; fid[19]=f20; fid[20]=f21; fid[21]=f22; fid[22]=f23; fid[23]=f24;
% fid[24]=f25; fid[25]=f26; fid[26]=f27; fid[27]=f28; fid[28]=f29; fid[29]=f30;
% fid[30]=f31; fid[31]=f32; fid[32]=f33; fid[33]=f34; fid[34]=f35; fid[35]=f36;
% fid[36]=f37; fid[37]=f38; fid[38]=f39; fid[39]=f40; fid[40]=f41; fid[41]=f42;
% fid[43]=f44; fid[44]=f45; fid[45]=f46; fid[47]=f48;
% fid[flen]='\0';
%
% types[0]=t1; types[1]=t2; types[2]=t3; types[tlen]='\0';
%
% build[0]=b1; build[1]=b2; build[2]=b3; build[3]=b4; build[4]=b5;
% build[5]=b6; build[6]=b7; build[7]=b8; build[8]=b9; build[9]=b10;
% build[10]=b11; build[11]=b12; build[12]=b13; build[13]=b14; build[14]=b15;
% build[15]=b16; build[16]=b17; build[17]=b18; build[18]=b19; build[19]=b20;
% build[20]=b21; build[21]=b22; build[22]=b23; build[23]=b24; build[24]=b25;
% build[25]=b26; build[26]=b27; build[27]=b28; build[28]=b29; build[29]=b30;
% build[30]=b31; build[31]=b32; build[32]=b33; build[33]=b34; build[34]=b35;
% build[35]=b36; build[36]=b37; build[37]=b38; build[38]=b39; build[39]=b40;
% build[40]=b41; build[41]=b42; build[42]=b43; build[43]=b44; build[44]=b45;
% build[45]=b46; build[46]=b47; build[47]=b48;
% build[blen]='\0';
%
% exec[0]=e1; exec[1]=e2; exec[2]=e3; exec[3]=e4; exec[4]=e5; exec[5]=e6;
% exec[6]=e7; exec[7]=e8; exec[8]=e9; exec[9]=e10; exec[10]=e11; exec[11]=e12;
% exec[12]=e13; exec[13]=e14; exec[14]=e15; exec[15]=e16; exec[16]=e17;
% exec[17]=e18; exec[18]=e19; exec[19]=e20; exec[20]=e21; exec[21]=e22;
% exec[22]=e23; exec[23]=e24; exec[24]=e25; exec[25]=e26; exec[26]=e27;
% exec[27]=e28; exec[28]=e29; exec[29]=e30; exec[30]=e31; exec[31]=e32;
% exec[32]=e33; exec[33]=e34; exec[34]=e35; exec[35]=e36; exec[36]=e37;
% exec[37]=e38; exec[38]=e39; exec[39]=e40; exec[40]=e41; exec[41]=e42;
% exec[42]=e43; exec[43]=e44; exec[44]=e45; exec[45]=e46; exec[46]=e47;
% exec[47]=e48;
% exec[elen]='\0';
%
%
%/*#ifdef DPRSUBDEBUG*/
%fprintf(stdout,"dscpr    : dscpr_sub        : fid %s\n",fid);
%fprintf(stdout,"dscpr    : dscpr_sub        : types %s\n",types);
%fprintf(stdout,"dscpr    : dscpr_sub        : exec %s\n",exec);
%fprintf(stdout,"dscpr    : dscpr_sub        : cpu %d\n",cpu);
%fprintf(stdout,"dscpr    : dscpr_sub        : mem %d\n",mem);
%/* #endif */
%
%   if ( portinit == FALSE )
%   {
%    /*                                                                    */
%    /* get the datagram communication port number from the dsc setup file */
%    /*                                                                    */
%    cportnm = dscpr_getnum();
%    if (strcmp(cportnm,"NOT_FOUND") == 0) {
%       fprintf(stderr,"dscpr    : dscpr_sub        : port number not found\n");
%       fprintf(stderr,"dscpr    : dscpr_sub        : forced problem halt!\n");
%       rstat = dscpr_end();
%       exit(rstat);
%    }
%   /*                            */
%   /* convert it to decimal form */
%   /*                            */
%   portnm = atoi(cportnm);
%   }
%
%   /*                              */
%   /* set up communication sockets */
%   /*                              */
%   dscpr_netinit();
%
%   sprintf( pname, "DSC%4.4x%d", mypid&0xffff, ++subcnt);
%   rstat = ctrl_dispatch(pname, fid, types, build, exec, 1, cpu, mem );
%
%   /*                                                          */
%   /* small wait so successive builds on-node are out of synch */
%   /* if too many children complete at same time, then signals */
%   /* get crossed and may not be delivered. This is a kluge    */
%   /* because some implimentations of UNIX are flakey          */
%   /*                                                          */
%
%   sleep(2);
%
%#ifdef DPRSUBDEBUG
%fprintf(stderr,"dscpr    : dscpr_sub        : returning %d\n",rstat);
%#endif
%
%   return( rstat );
%}
)
(defentry dscpr_sub_sub (int int int int int int int int int int int int
                         int int int int int int int int int int int int
                         int int int int int int int int int int int int
                         int int int int int int int int int int int int
                         int
                         int int int 
                         int
                         int int int int int int int int int int int int
                         int int int int int int int int int int int int
                         int int int int int int int int int int int int
                         int int int int int int int int int int int int
                         int
                         int int int int int int int int int int int int
                         int int int int int int int int int int int int
                         int int int int int int int int int int int int
                         int int int int int int int int int int int int
                         int 
                         int int)
 (int dscpr_sub_sub) )
