(Clines
%#include "dsc_lisppr.c"
%/*****************************************************************************/
%/*                                                                           */
%/* subroutine:  dscpr_wait( index )                                          */
%/*                                                                           */
%/* inputs: index - index of subproblem to wait on (-1 == wait on all)        */
%/*                                                                           */
%/* ext vars: passinit - password set flag                                    */
%/*           portinit - port set flag                                        */
%/*                                                                           */
%/* outputs:  none                                                            */
%/*                                                                           */
%/* return:   status                                                          */
%/*                                                                           */
%/* purpose:  send a message to DSC RP telling it we want to                  */
%/*           know when all subprocesses finish.                              */
%/*           block on answer from DSC RP, return success or failure.         */
%/*                                                                           */
%/*****************************************************************************/
%DSCSOLV msgsolv;
%
%int dscpr_wait_sub( index )
%int index;
%{
%
%   DSCPRBLK msg;         /* block problem message                            */
%   DSCSOLV *msg2;        /* incomming unblocking message                     */
%   int      rlen;        /* length of read message                           */
%   int     rstat;        /* status of wait                                   */
%   int on;
%   char *dsc_getpass();  /* get password from dsc_setup.csh file             */
%   char *dscpr_getnum(); /* get port numeber from dsc_setup.csh file         */
%
%
%#ifdef DPRWAITDEBUG
%fprintf( stderr ,"dscpr    : dscpr_wait       : index %d\n",index);
%#endif
%
%   if ( portinit == FALSE )
%   {
%    /*                                                                    */
%    /* get the datagram communication port number from the dsc setup file */
%    /*                                                                    */
%    cportnm = dscpr_getnum();
%    if (strcmp(cportnm,"NOT_FOUND") == 0) {
%       fprintf(stderr,"dscpr    : dscpr_sub        : port number not found\n");
%       fprintf(stderr,"dscpr    : dscpr_sub        : forced problem halt!\n");
%       rstat = dscpr_end();
%       exit(rstat);
%    }
%   /*                            */
%   /* convert it to decimal form */
%   /*                            */
%   portnm = atoi(cportnm);
%   }
%
%   /*                              */
%   /* set up communication sockets */
%   /*                              */
%   dscpr_netinit();
%
%   if ( passinit == FALSE )
%   {
%    password = dsc_getpass();
%   }
%
%   msg.msg_type = msg.sanity = htonl(MSG_PRBLOCK);
%   strcpy(msg.dsc_password , password );
%   msg.msg_size = htonl(sizeof( DSCPRBLK ));
%   memcpy( &msg.addr, &paddr, sizeof(paddr));
%   msg.from_PID = htonl(mypid);
%   msg.index = htonl(index);
%
%#ifdef DPRWAITDEBUG
%fprintf( stderr ,"dscpr    : dscpr_wait       : send message to DSCRP\n");
%#endif
%
%  /*                              */
%  /* send message to server DSCRP */
%  /*                              */
%   do {
%      errno = 0;
%      rlen = sendto( sockdg, (char *)&msg, sizeof(DSCPRBLK),
%                 0, &saddr, sizeof(saddr));
%      if (errno == ENOBUFS) sleep(2);
%   } while( (errno==EINTR) || (errno==ENOBUFS));
%
%   if (errno != 0) {
%fprintf( stderr ,"dscpr    : dscpr_wait       : error sending MSG_PRBLOCK\n");
%fprintf( stderr ,"dscpr    : dscpr_wait       : forced problem halt!\n");
%      perror("sending start msg to DSC server");
%      exit(errno);
%   }
%
%   sock = accept( sockl, 0, 0);
%   on = 1;
%   setsockopt( sock, SOL_SOCKET, SO_REUSEADDR, &on, sizeof(on));
%
%  /*                                      */
%  /* wait for all subproblems to complete */
%  /*                                      */
%   msg2 = &msgsolv;
%   do {
%      errno = 0;
%      rlen = dsc_read( sock, (char *)msg2, sizeof( DSCSOLV));
%   } while (errno == EINTR );
%
%   if (rlen != ntohl(msg2->msg_size)) {
%    perror("reading problem index");
%    fprintf( stderr ,"dscpr    : dscpr_wait       : mismatch read DSCBEG\n"); 
%    fprintf( stderr ,"dscpr    : dscpr_wait       : rlen = %d, msgsize = %d\n",
%             rlen, ntohl(msg2->msg_size));
%     fflush( stdout );
%     fflush( stderr );
%   }
%
%   close( sock );
%
%   if (ntohl(msg2->msg_type) != MSG_SOLVE) rstat = DSC_FAILURE;
%   else rstat = ntohl(msg2->status);
%
%#ifdef DPRWAITDEBUG
%fprintf( stderr ,"dscpr    : dscpr_wait       : returning rstat %d\n",
%        rstat);
%#endif
%
%   return( rstat );
%}
)

(defentry dscpr_wait_sub (int) (int dscpr_wait_sub))
