/*****************************************************************************/
/*                                                                           */
/*                                 dsc_debug.h                               */
/*                                                                           */
/*****************************************************************************/

/*****************************************************************************/
/*                                                                           */
/* debugging flag for dscd_block()       dsc_blok.c     DBLKDEBUG            */
/* debugging flag for dscd_chkin()       dsc_chkin.c    DCHKINDEBUG          */
/* debugging flag for dscd_cpyctrl()     dsc_copy.c     DCPYCTRLDEBUG        */
/* debugging flag for dsc_cpyreq()       dsc_copy.c     DCPYREQDEBUG         */
/* debugging flag for dsccc_send()       dsc_copy.c     DCSENDDEBUG          */
/* debugging flag for dsccc_recv()       dsc_copy.c     DCRECVDEBUG          */
/* debugging flag for dscd_halt()        dsc_halt.c     DSDHALT              */
/* debugging flag for dscd_kill()        dscd_kill.c    DSDKILL              */
/* debugging flag for dsc_log()          dsc_log.c      DLOG                 */
/* debugging flag for dsc_err()          dsc_log.c      DERR                 */
/* debugging flag for dsc_read()         dsc_misc.c     DREAD                */
/* debugging flag for dsc_dg_send()      dsc_misc.c     DDGSEND              */
/* debugging flag for dsc_exec()         dsc_misc.c     DEXEC                */
/* debugging flag for sub_check()        dsc_misc.c     SUBCHECK             */
/* debugging flag for subproc_signal()   dsc_misc.c     SUBPSIGNAL           */
/* debugging flag for subproc_body()     dsc_misc.c     SUBPBODY             */
/* debugging flag for chkin_loop()       dsc_nodes.c    CHKINLDEBUG          */
/* debugging flag for dscn_init()        dsc_nodes.c    NINITDEBUG           */
/* debugging flag for dscn_chkin()       dsc_nodes.c    NCHKINDEBUG          */
/* debugging flag for dscn_find()        dsc_nodes.c    NFINDDEBUG           */
/* debugging flag for insert()           dsc_nodes.c    NINSERT              */
/* debugging flag for pr_list()          dsc_nodes.c    NPRLIST              */
/* debugging flag for dscn_sock()        dsc_nodes.c    NSOCK                */
/* debugging flag for dscn_allchkin()    dsc_nodes.c    NALLCHKIN            */
/* debugging flag for dsc_getpass_sub()  dsc_pass.c     GETPSDEBUG           */
/* debugging flag for dsc_getpass()      dsc_pass.c     GETPDEBUG            */
/* debugging flag for dsc_chkpass()      dsc_pass.c     CHKPDEBUG            */
/* debugging flag for dsc_getpath_sub()  dsc_pass.c     GETPTSDEBUG          */
/* debugging flag for dsc_getpath()      dsc_pass.c     GETPTDEBUG           */
/* debugging flag for dscp_init()        dsc_prob.c     DSPINIT              */
/* debugging flag for dscp_find()        dsc_prob.c     DSPFIND              */
/* debugging flag for dscd_sleep()       dsc_prob.c     DSDSLEEP             */
/* debugging flag for dscd_awaken()      dsc_prob.c     DSDAWAKEN            */
/* debugging flag for dscd_start()       dsc_prob.c     DSDSTART             */
/* debugging flag for dscp_export()      dsc_prob.c     DSPEXPORT            */
/* debugging flag for dscp_build()       dsc_prob.c     DSPBUILD             */
/* debugging flag for dscp_unlink()      dsc_prob.c     DSPUNLINK            */
/* debugging flag for dscp_del()         dsc_prob.c     DSPDEL               */
/* debugging flag for dscp_compl()       dsc_prob.c     DSPCOMPL             */
/* debugging flag for dscp_begin()       dsc_prob.c     DSPBEGIN             */
/* debugging flag for dscd_localdatc()   dsc_prob.c     DSDLDC               */
/* debugging flag for dscd_localcopy()   dsc_prob.c     DSDLC                */
/* debugging flag for dscd_getword()     dsc_prob.c     DSDGETWORD           */
/* debugging flag for main()             dsc_ps.c       PSMAIN               */
/* debugging flag for dsc_psinit()       dsc_ps.c       PSINIT               */
/* debugging flag for dsc_sendps()       dsc_ps.c       PSSENDPS             */
/* debugging flag for err_exit()         dsc_ps.c       PSEXIT               */
/* debugging flag for get_stat()         dsc_ps.c       PSSTAT               */
/* debugging flag for get_time()         dsc_ps.c       PSTIME               */
/* debugging flag for dsc_psstartup()    dsc_psstat.c   PSSUP                */
/* debugging flag for dscd_psstat()      dsc_psstat.c   PSSSTAT              */
/* debugging flag for dscd_psrstat()     dsc_psstat.c   PSRSTAT              */
/* debugging flag for sendstat_loop()    dsc_psstat.c   PSSENDL              */
/* debugging flag for main()             dsc_serv.c     DSMAIN               */
/* debugging flag for dscd_solve()       dsc_solv.c     DSDSOLVE             */
/* debugging flag for dscd_stat()        dsc_stat.c     DSDSTAT              */
/* debugging flag for dscs_pstat()       dsc_stat.c     DSDPSTAT             */
/* debugging flag for dscs_nstat()       dsc_stat.c     DSDNSTAT             */
/* debugging flag for dscs_sstat()       dsc_stat.c     DSDSSTAT             */
/* debugging flag for main()             dscctrl.c      DCTRLMAIN            */
/* debugging flag for ctrl_init()        dscctrl.c      DCTRLINIT            */
/* debugging flag for ctrl_start()       dscctrl.c      DCTRLSTART           */
/* debugging flag for ctrl_pstat()       dscctrl.c      DCTRLPSTAT           */
/* debugging flag for ctrl_nstat()       dscctrl.c      DCTRLNSTAT           */
/* debugging flag for ctrl_sstat()       dscctrl.c      DCTRLSSTAT           */
/* debugging flag for ctrl_halt()        dscctrl.c      DCTRLHALT            */
/* debugging flag for ctrl_kill()        dscctrl.c      DCTRLKILL            */
/* debugging flag for ctrl_remote()      dscctrl.c      DCTRLREMOTE          */
/* debugging flag for ctrl_allup()       dscctrl.c      DCTRLALLUP           */
/* debugging flag for ctrl_alldn()       dscctrl.c      DCTRLALLDN           */
/* debugging flag for dsc_do_msg()       dscdmsg.c      DSDMSG               */
/* debugging flag for dsc_read()         dscpr.c        DPRRDDEBUG           */
/* debugging flag for dsc_getpass_sub()  dscpr.c        DPRGPSDEBUG          */
/* debugging flag for dsc_getpass()      dscpr.c        DPRGPDEBUG           */
/* debugging flag for dsc_getnum_sub()   dscpr.c        DPRGNSDEBUG          */
/* debugging flag for dsc_getnum()       dscpr.c        DPRGNDEBUG           */
/* debugging flag for dscpr_netinit()    dscpr.c        DPRNIDEBUG           */
/* debugging flag for dscpr_netpnm()     dscpr.c        DPRNPNDEBUG          */
/* debugging flag for dscpr_ctrl_portnmchk() dscpr.c    DPRCPNCDEBUG         */
/* debugging flag for dscpr_ctrl_portnm()    dscpr.c    DPRCPNDEBUG          */
/* debugging flag for dscpr_sub()        dscpr.c        DPRSUBDEBUG          */
/* debugging flag for ctrl_dispatch()    dscpr.c        DPRCDISDEBUG         */
/* debugging flag for dscpr_wait()       dscpr.c        DPRWAITDEBUG         */
/* debugging flag for dscpr_next()       dscpr.c        DPRNEXTDEBUG         */
/* debugging flag for dscpr_kill()       dscpr.c        DPRKILLDEBUG         */
/* debugging flag for dscpr_end()        dscpr.c        DPRENDDEBUG          */
/* debugging flag for dscdbg_start()     dscpr.c        DPRDBGDEBUG          */
/* debugging flag for dsc_cont()         dscpr.c        DPRCONTDEBUG         */
/* debugging flag for dscpr_cosetup()    dscpr.c        DPRCOSETDEBUG        */
/* debugging flag for dscpr_cowait()     dscpr.c        DPRCOWDEBUG          */
/* debugging flag for dscpr_coresume()   dscpr.c        DPRCORDEBUG          */
/*                                                                           */
/*****************************************************************************/
/* Comment delimeters replaced. (AAP - 2/11)
#define DBLKDEBUG     1
#define DCHKINDEBUG   1
#define DCPYCTRLDEBUG 1
#define DCPYREQDEBUG  1
#define DCSENDDEBUG   1
#define DCRECVDEBUG   1
#define DSDHALT       1
#define DSDKILL       1
#define DLOG          1
#define DERR          1
#define DREAD         1
#define DDGSEND       1
#define DEXEC         1
#define SUBCHECK      1
#define SUBPSIGNAL    1
#define SUBPBODY      1
#define CHKINLDEBUG   1
#define NINITDEBUG    1
#define NCHKINDEBUG   1
#define NFINDDEBUG    1
#define NINSERT       1
#define NPRLIST       1
#define NSOCK         1
#define NALLCHKIN     1
#define GETPSDEBUG    1
#define GETPDEBUG     1
#define CHKPDEBUG     1
#define GETPTSDEBUG   1
#define GETPTDEBUG    1
#define DSPINIT       1
#define DSPFIND       1
#define DSDSLEEP      1
#define DSDAWAKEN     1
#define DSDSTART      1
#define DSPEXPORT     1
#define DSPBUILD      1
#define DSPUNLINK     1
#define DSPDEL        1
#define DSPCOMPL      1
#define DSPBEGIN      1
#define DSDLDC        1
#define DSDLC         1
#define DSDGETWORD    1
#define PSMAIN        1
#define PSINIT        1
#define PSSENDPS      1
#define PSEXIT        1
#define PSSTAT        1
#define PSTIME        1
#define PSSUP         1
#define PSSSTAT       1
#define PSRSTAT       1
#define PSSENDL       1
#define DSCSEND       1
#define DSMAIN        1
#define DSDSOLVE      1
#define DSDSTAT       1
#define DSDPSTAT      1
#define DSDNSTAT      1
#define DSDSSTAT      1
#define DCTRLMAIN     1
#define DCTRLINIT     1
#define DCTRLSTART    1
#define DCTRLPSTAT    1
#define DCTRLNSTAT    1
#define DCTRLSSTAT    1
#define DCTRLHALT     1
#define DCTRLKILL     1
#define DCTRLREMOTE   1
#define DCTRLALLUP    1
#define DCTRLALLDN    1
#define DSDMSG        1
#define DPRRDDEBUG    1
#define DPRGPSDEBUG   1
#define DPRGPDEBUG    1
#define DPRGNSDEBUG   1
#define DPRGNDEBUG    1
#define DPRNIDEBUG    1
#define DPRNPNDEBUG   1
#define DPRCPNCDEBUG  1
#define DPRCPNDEBUG   1
#define DPRSUBDEBUG   1
#define DPRCDISDEBUG  1
#define DPRWAITDEBUG  1
#define DPRNEXTDEBUG  1
#define DPRKILLDEBUG  1
#define DPRENDDEBUG   1
#define DPRDBGDEBUG   1
#define DPRCONTDEBUG  1
#define DPRCOSETDEBUG 1
#define DPRCOWDEBUG   1
#define DPRCORDEBUG   1
*/
