/*****************************************************************************/
/*                                                                           */
/*                              dsc_halt.c                                   */
/*                                                                           */
/*****************************************************************************/

#include "dscrp.h"        /* include server external variables               */

/*****************************************************************************/
/*                                                                           */
/* signal handler & subroutine: dscd__halt()                                 */
/*                                                                           */
/* inputs:   none                                                            */
/*                                                                           */
/* outputs:  (checkin messages to all remote nodes)                          */
/*                                                                           */
/* return:   0 = DSC_SUCCESS                                                 */
/*                                                                           */
/* purpose:  stop all subproblems                                            */
/*           send message to all off-node parent problems                    */
/*           close all sockets                                               */
/*                                                                           */
/*****************************************************************************/

int dscd_halt()
{
   int i;
   DSCDB *pp, *dscp_find();
   NODE_REC *np, *dscn_find();
   char *getenv();
  
   fflush( stdout );
   fflush( stderr );

#ifdef DSDHALT 
fprintf(stderr,"dsc_serv : dscd_halt()      : void\n");
#endif

   /*                        */
   /* kill the DSC PS deamon */
   /*                        */

#ifdef DSDHALT 
fprintf(stderr,"dsc_serv : dscd_halt()      : killing ps deamon\n");
#endif

   if ( pspid != 0 ) kill( pspid, SIGKILL );

   /*                                                 */
   /* stop all children and wait for their completion */
   /*                                                 */

   i = 0;
   while ((pp=dscp_find( 2, &i)) != (DSCDB *)(EOF)) {
   sprintf( logstr, "%s: killed by controlled server halt! \n",
       pp->prob_name);
   fprintf(stderr,"dsc_serv : dscd_halt()      : %s\n",logstr);
   fflush( stderr );
   dsc_log( pp, logstr );

      /*                        */
      /*  KILL problem orderly  */
      /*                        */
      dscp_compl( pp, dscp_find( 4, pp->parent_idx), pp->pnode_addr, 
          pp->prob_name, DSCERR_P_NODEHALT);
      }				/* end for all problems */

#ifdef DSDHALT
fprintf(stderr,"dsc_serv : dscd_halt()      : telling the world\n");
#endif

   /*                   */
   /* tell the world    */
   /*                   */
   act_prob = (-1);
   blk_prob = (-1);
   dscn_allchkin( 2 );

   /*                   */
   /* close all sockets */
   /*                   */

#ifdef DSDHALT
fprintf(stderr,"dsc_serv : dscd_halt()      : closing internet socket\n");
fflush( stderr );
#endif

   close( sockdg );               /* done with named udp socket */

  /*                */
  /* final clean up */
  /*                */

#ifdef DSDHALT
fprintf(stderr,"dsc_serv : dscd_halt()      : exiting!\n");
fflush( stderr );
#endif

   _exit(0);                 /* exit() will infinite loop, must use _exit() */

}
