/*****************************************************************************/
/*                                                                           */
/*                                   subsrc.c                                */
/*                                                                           */
/*****************************************************************************/

#include <ctype.h>
#include <stdio.h>
#include <string.h>
#include <errno.h>

/*****************************************************************************/
/*                                                                           */
/*                                 definitions                               */
/*                                                                           */
/*****************************************************************************/

#define DEBUG 1

/*****************************************************************************/
/*                                                                           */
/* subroutine: main(argc,argv)                                               */
/*                                                                           */
/* inputs:    calling sequence subrsc aubrc.d                                */
/*                                                                           */
/* outputs:   data files                                                     */
/*                                                                           */
/* return:   0 = DSC_SUCCESS                                                 */
/*                                                                           */
/* purpose:  subrpoblem for cpycode_driver                                   */
/*                                                                           */
/*****************************************************************************/

main( argc, argv)
int argc;
char **argv;
 {
  FILE *ofp, *ifp;
  char temp[256], *cptr;
  long addend, i;
  long matx_ele;

#ifdef DEBUG
fprintf(stderr,"subrc    : main             : starting argc %d\n",argc);
for(i=0;i<argc;i++)
fprintf(stderr,"subrc    : main             : argv[%d] %s\n",i,argv[i]);
fflush(stderr);
#endif

  ofp=fopen(argv[1],"w");    /* output file */
  strcpy( temp, argv[1]);
  cptr = strrchr( temp, '.');/* output file must be "<name>.d" */
  strcpy( cptr, ".i");       /* input file must be "<name>.i" */
  ifp=fopen(temp,"r");

  fgets( temp, 14, ifp);     /* addend (add this to entire matrix) */
  addend = atoi( temp );

  /*                                                              */
  /* if all subprocs term at same time then unix may get confused */
  /* this will stagger the completion                             */
  /*                                                              */

  /* sleep( addend );*/

  while (!feof( ifp )) {
    temp[0] = 0;
    fgets( temp, 14, ifp );
    if (strlen( temp ) == 0) break;   /* catch end of file */

    matx_ele = atoi( temp );
    matx_ele += addend;
    fprintf( ofp, "%d\n", matx_ele);  /* partial solution */

    sleep( 2 );    /* force some minimal delay for testing */
   } /* end whild more in file */
   fclose( ofp );
   fclose( ifp );

#ifdef DEBUG
fprintf(stderr,"subrc    : main             : done!\n");
fflush(stderr);
#endif

   exit( 0 );        /* return zero iff normal completion */
}

