/*****************************************************************************/
/*                                                                           */
/*                                 gen_im.c                                  */
/*                                                                           */
/*                                                                           */
/*****************************************************************************/

#include <stdio.h>
#include <math.h>

/*****************************************************************************/
/*                                                                           */
/*                           externals & prototypes                          */
/*                                                                           */
/*****************************************************************************/

extern double drand48();

/*****************************************************************************/
/*                                                                           */
/* subroutine: main (argc, argv)                                             */
/*                                                                           */
/* inputs:    argc    - number of command line arguments                     */
/*            argv[1] - number of digit entries                              */
/*            argv[2] - n dimension of matrix                                */
/*            argv[3] - m dimension of matrix                                */
/*                                                                           */
/* outputs:  d digit integer matrix in maple format                          */
/*                                                                           */
/* return:   0 = success                                                     */
/*                                                                           */
/* purpose:  generate d digit integer matrix in maple format                 */
/*                                                                           */
/*****************************************************************************/

int main(int argc, char *argv[] )
{
 int i,j,k;
 int d,n,m;
 double tmp;
 unsigned long itmp;

 d=atoi(argv[1]);
 n=atoi(argv[2]);
 m=atoi(argv[3]);

 printf("A := matrix( %d, %d , [ \n",n,m);

 for(i=0;i<n;i++)
  for(j=0;j<m;j++)
   {
    for(k=0;k<d;k++)
     {
      tmp = drand48()*10;
      itmp = tmp;
      printf("%u",itmp);
     }
    if ( ( i != n-1) || ( j != m-1) ) printf(",\n"); else printf("\n");
   }

 printf("\n ] );\n ");
 return 0;
}

