/*****************************************************************************/
/*                                                                           */
/*                                   subsub.c                                */
/*                                                                           */
/*****************************************************************************/

#include <stdio.h>             /* standard I/O                               */
#include <string.h>            /* string functions                           */
#include "dscpr.c"             /* DSC C user library -- NECESSARY???         */
#define DEBUG 1                /* debugging hook                             */

/*****************************************************************************/
/*                                                                           */
/* subroutine: main(argc,argv)                                               */
/*                                                                           */
/* inputs:    calling sequence subsub subsub.d                               */
/*                                                                           */
/* outputs:  None                                                            */
/*                                                                           */
/* return:   0 = DSC_SUCCESS                                                 */
/*           n = error mask                                                  */
/*                                                                           */
/* purpose:  this is the source code spawned by sub.c                        */
/*           add numbers in subsub#.i and write result in subsub#.d          */
/*                                                                           */
/*****************************************************************************/

int main( argc, argv)
int argc;
char **argv;
{
 int x;                  /* temporary variable                               */
 int sum;                /* sum of data files (subsub.d)                     */
 int ap;                 /* counter                                          */
 char fidi[200];         /* input file id                                    */
 char fidd[200];         /* data file id                                     */
 char argprefix[80];     /* current problem prefix name                      */
 char mnode[DSC_NODEZ];  /* local node name                                  */
 char *cptr;             /* character pointer                                */
 FILE *subsubdotdfp;     /* datafile file pointer                            */
 FILE *subsubdotifp;     /* input file pointer                               */
 FILE *scrfp;            /* local subproblem scratch file                    */

  cptr=argv[1];ap=0;
  while ( *cptr != '.' ) argprefix[ap++]=*cptr++;
  argprefix[ap] = '\0';

  strcat(argprefix,".scr");
  scrfp = fopen(argprefix,"w");
  if ( scrfp == NULL ) 
   {
 fprintf(stderr,"subsub   : main()           : can not open%s\n",argprefix);
 fprintf(stderr,"subsub   : main()           : errno %d\n",errno);
 fflush(stderr);
    exit(errno);
   }

  cptr=argv[1];ap=0;
  while ( *cptr != '.' ) argprefix[ap++]=*cptr++;
  argprefix[ap] = '\0';

#ifdef DEBUG
fprintf(scrfp,"subsub   : main()           : starting\n");
fprintf(scrfp,"subsub   : main()           : argv[0] %s\n",argv[0]);
fprintf(scrfp,"subsub   : main()           : argv[1] %s\n",argv[1]);
fflush(scrfp);
#endif

  gethostname(mnode, DSC_NODEZ);

#ifdef DEBUG
fprintf(scrfp,"subsub    : main()           : node %s\n",mnode);
fflush(scrfp);
#endif

  sprintf( fidi, "%s.i",argprefix);
  sprintf( fidd, "%s.d",argprefix);

#ifdef DEBUG
fprintf(scrfp,"subsub   : main()           : fidi %s\n",fidi);
fprintf(scrfp,"subsub   : main()           : fidd %s\n",fidd);
fflush(scrfp);
#endif

  subsubdotdfp = fopen(fidd,"w");
  if ( subsubdotdfp == NULL )
   {
    fprintf(scrfp,"subsub   : main()           : can not open %s\n",fidd);
    fprintf(scrfp,"subsub   : main()           : errno %s\n",errno);
    fflush(scrfp);
    exit(errno);
   }

  subsubdotifp = fopen(fidi,"r");
  if ( subsubdotifp == NULL )
   {
    fprintf(scrfp,"subsub   : main()           : can not open %s\n",fidi);
    fprintf(scrfp,"subsub   : main()           : errno %s\n",errno);
    fflush(scrfp);
    exit(errno);
   }

   fscanf(subsubdotifp,"%d",&x);

#ifdef DEBUG
fprintf(scrfp,"subsub   : main()           : value %d\n",x);
fflush(scrfp);
#endif

   sum =x+x;
   fclose(subsubdotifp);

   x = fprintf(subsubdotdfp,"%d\n",sum);

#ifdef DEBUG
fprintf(scrfp,"subsub   : main()           : write returned %d\n",x);
fflush(scrfp);
#endif

   fclose(subsubdotdfp);

   fprintf(scrfp,"subsub   : main()           : exiting!\n");
   fflush(scrfp);
   fclose(scrfp);

  exit(0);

}
