/*****************************************************************************/
/*                                                                           */
/*                              one_level.C                                  */
/*                                                                           */
/*****************************************************************************/

#include <stdio.h>             /* standard I/O                               */
#include <string.h>            /* string functions                           */
#include <unistd.h>
#include <errno.h>
#define DEBUG 1                /* debugging hook                             */

/*****************************************************************************/
/*                                                                           */
/* subroutine: main(argc,argv)                                               */
/*                                                                           */
/* inputs:   calling sequence one_level one_level.d                          */
/*                                                                           */
/* outputs:  data files                                                      */
/*                                                                           */
/* return:   0 = DSC_SUCCESS                                                 */
/*           n = error mask                                                  */
/*                                                                           */
/* purpose: test program that can be used as a template for one level        */
/*          distribution within the DSC environment. This module is the      */
/*          subproblem wich reads its input files and creates data files     */
/*          based on the input files.                                        */
/*                                                                           */
/*****************************************************************************/

main(int argc, char **argv)
{
 int x;                  /* first number in input file                       */
 int y;                  /* second number in input file                      */
 int sum;                /* sum of numbers in input file                     */
 char temp[132];
 char *cptr;
 FILE *fp;               /* input file pointer                               */
 FILE *outfp;            /* output (data) file pointer                       */
 FILE *scr;              /* pointer to local problem scratch file            */

  strcpy(temp,argv[1]);
  cptr = strrchr(temp,'.');
  strcpy(cptr,".scr");

  scr = fopen(temp,"w");
  if (scr == NULL )
   {
fprintf(stderr,"one_level: main()           : can not open %s\n",temp);
fprintf(stderr,"one_level: main()           : errno %d\n",errno);
fflush(stderr);
exit(errno);
   }

#ifdef DEBUG
fprintf(scr,"one_level: main()           : opening %s\n",argv[1]);
fflush(scr);
#endif
  
  outfp = fopen(argv[1],"w");
  if (outfp == NULL)
   {
fprintf(scr,"one_level: main()           : can not open %s\n",argv[1]);
fprintf(scr,"one_level: main()           : errno %d\n",errno);
fflush(stderr);
exit(errno);
   }

  strcpy(temp,argv[1]);
  cptr = strrchr(temp,'.');
  strcpy(cptr,".i");

 /*                 */
 /* read input file */
 /*                 */

#ifdef DEBUG
fprintf(scr,"one_level: main()           : reading input file %s\n",temp);
fflush(scr);
#endif

  fp = fopen(temp,"r"); 
  if (fp == NULL )
   {
fprintf(scr,"one_level: main()           : can not open %s\n",temp);
fprintf(scr,"one_level: main()           : errno %d\n",errno);
fflush(stderr);
exit(errno);
   }

  fscanf(fp,"%d %d",&x,&y);

#ifdef DEBUG
fprintf(scr,"one_level: main()           : read in %d %d\n",x,y);
fflush(scr);
#endif

  fclose(fp);

  sum = x+y;
  
  /*                      */
  /* write to output file */
  /*                      */

#ifdef DEBUG
fprintf(scr,"one_level: main()           : writing %d\n",sum);
fflush(scr);
#endif
  
  fprintf(outfp,"%d\n",sum);
  fclose(outfp);

  sleep(10);

#ifdef DEBUG
fprintf(scr,"one_level: main()           : exiting!\n");
fflush(scr);
fclose(scr);
#endif

  exit(0);
 
}
