/*****************************************************************************/
/*                                                                           */
/*                                 dscrp.h                                   */
/*                                                                           */
/*****************************************************************************/

/*          defines all extern variables so DSCRP can be modularized         */

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <string.h>
#include <sys/file.h>
#include <sys/types.h>
#include <sys/signal.h>
#include <sys/socket.h>
#include <sys/stat.h>                   
#include <sys/time.h>                   
#include <sys/resource.h>
#include <sys/un.h>		
#include <sys/wait.h>
#include <sys/param.h>
#include <netinet/in.h>
#include <netdb.h>

#include "dsc_defs.h"

extern int 		my_pid;		        /* this process's PID        */
extern char 		my_node[32];		/* local node name           */
extern unsigned long    my_addr;                /* local host address        */
extern unsigned short   my_portg;               /* local datagram number     */
extern int              portnm;                 /* datagram port number      */
extern char             *cportnm;               /* datagram port number      */
extern char             *password;              /* Users DSC_PASSWORD        */
extern char             *dscpath;               /* DSC_PATH in dsc_setup.csh */
extern char 		msg[MAXMSG];		/* general message buffer    */
extern int	        sockdg;			/* named Inet datagram sok   */
extern char             pwd[100];               /* working dir for dscrp     */
extern int  	        act_prob;		/* # active problems         */
extern int	        blk_prob;		/* # blocked problems        */
extern int              cpu;                    /* current CPU usage         */
extern int              mem;                    /* current MEM usage         */
extern int              cpurate;                /* cpu rating                */
extern int              memrate;                /* mem rating                */
extern int              numproc;                /* num of processors         */
extern int              fsystem;                /* file system number        */
extern DSCSOLV          solvmsg;
extern DSCKILL          killmsg;                
extern int              waiting_on_sub;         /* number of queued problems */
extern char             logstr[];               /* (sub)problem log file str */
extern long             nice1;                  /* nice value for DSC server */
extern long             nice2;                  /* nice value for subproblems*/
extern int              loop_pos;               /* loop position for checkin */
extern int              loop_poss;              /* loop position for sendstat*/
extern int              dbtop;                  /* top of node data base     */
extern int              pspid;                  /* DSC PS deamon pid         */
extern int              pssched;                /* scheduler flag            */
extern int              loop_flg;               /* outstanding problem flag  */
extern int              cpytry;                 /* coroutine file copy flag  */
