/*****************************************************************************/
/*                                                                           */
/*                                testcpu.c                                  */
/*                                                                           */
/*****************************************************************************/

#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>

/*****************************************************************************/
/*                                                                           */
/* subroutine: main ()                                                       */
/*                                                                           */
/* inputs:    none                                                           */
/*                                                                           */
/* outputs:   local cpu information                                          */
/*                                                                           */
/* return:   none                                                            */
/*                                                                           */
/* purpose:  display  local cpu information                                  */
/*                                                                           */
/*****************************************************************************/

main()
{
 short st, nw;
 char  ch[2];

 st = 0x3132;
 memcpy( ch, &st, 2);
 if (ch[0] == '1') printf( "little endian computer\n");
 else printf( "big endian computer\n");
 nw = htons( st );
 if (nw == st) printf( "network byte order machine\n");
 else printf( "NOT network byte order machine\n");

 printf( "TEST CPU program, based on compiler symbols\n");
#ifdef sun
   printf("sun\n");
#endif
#ifdef mc68000
   printf("MC68000\n");
#endif
#ifdef mc68010
   printf("MC68010\n");
#endif
#ifdef mc68020
   printf("MC68020\n");
#endif
#ifdef mc68030
   printf("MC68030\n");
#endif
#ifdef sun386
   printf("sun386\n");
#endif
#ifdef sparc
   printf("sparc\n");
#endif
#ifdef ultrix
   printf("ultrix\n");
#endif
#ifdef vax
   printf("vax\n");
#endif
#ifdef mips
   printf("mips\n");
#endif

   printf ("\nshort is %d bytes", sizeof(short));
   printf ("\n  int is %d bytes", sizeof(int));
   printf ("\n long is %d bytes", sizeof(long));
   printf ("\nfloat is %d bytes", sizeof(float));
   printf ("\n  dbl is %d bytes\n", sizeof(double));
   printf ("\n  sin is %d bytes\n", sizeof(struct sockaddr_in));
   printf ("\nuchar is %d bytes\n", sizeof(unsigned char));
   printf ("\nulong is %d bytes\n", sizeof(unsigned long));

}
